package com.sundot.airport.ledger.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sundot.airport.common.utils.DateUtils;
import com.sundot.airport.ledger.domain.LedgerComplaint;
import com.sundot.airport.ledger.mapper.LedgerComplaintMapper;
import com.sundot.airport.ledger.service.ILedgerComplaintService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 投诉情况记录Service实现
 */
@Service
public class LedgerComplaintServiceImpl extends ServiceImpl<LedgerComplaintMapper, LedgerComplaint>
        implements ILedgerComplaintService {

    @Autowired
    private LedgerComplaintMapper mapper;

    @Override
    public List<LedgerComplaint> selectList(LedgerComplaint query) {
        return mapper.selectList(query);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public int batchInsert(List<LedgerComplaint> list) {
        list.forEach(item -> item.setCreateTime(DateUtils.getNowDate()));
        saveBatch(list);
        return list.size();
    }
}
